Bug 877894 - [ALL_LANG][SAM Web GUI] Some unlocalized messages for creating Users.
[ALL_LANG][SAM Web GUI] Some unlocalized messages for creating Users.
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Tom McKay
SAM QE List
: Translation
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-19 02:45 EST by Lijun Li
Modified: 2013-02-21 14:19 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized messages for creating Users (250.99 KB, image/png)
2012-11-19 02:53 EST, Lijun Li
no flags Details
Unlocalized messages 'Username has already been taken' (73.24 KB, image/png)
2012-11-19 02:59 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-11-19 02:45:57 EST
Description of problem:
Some unlocalized messages for creating Users:
Username must contain at least 3 character
Username can't be blank
Username has already been taken
Email can't be blank
(RuntimeError)
Click here for more details.
The system registration default you supplied was the same as the old system registration default.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
1. Move cursor over the Administer menu at the top right corner and click on Users.
2. Click the + New User button.
3. Click Save User button.
4. Input the User name and Click Save User button.
5. Input the same User name with an existing user and click Save User button.
6. Input the user name and invalid password, select the user's default organization as ACME_Corporation, Click the Save button to save your changes.
7. Click on the username of the created user from the left USERNAME list panel 
8. Select the Environments subtab and select the user's default organization as ACME_Corporation.
9. Click the Save button to save your changes.

  
Actual results:
Some unlocalized messages for creating Users:
Username must contain at least 3 character
Username can't be blank
Username has already been taken
Email can't be blank
(RuntimeError)
Click here for more details.
The system registration default you supplied was the same as the old system registration default.

Expected results:
All the messages for creating users should be localized.

Additional info:
Comment 1 Lijun Li 2012-11-19 02:53:02 EST
Created attachment 647572 [details]
Unlocalized messages for creating Users
Comment 2 Lijun Li 2012-11-19 02:59:27 EST
Created attachment 647575 [details]
Unlocalized messages 'Username has already been taken'
Comment 3 Tom McKay 2012-12-12 14:06:28 EST
https://github.com/Katello/katello/pull/1245
Comment 4 Hedda Peters 2012-12-12 18:41:20 EST
For de-DE:

* Username must contain at least 3 character - still unlocalized
* Username can't be blank - "username" is unlocalized
* Password must be at least 5 characters - "password" is unlocalized
* Email can't be blank - "email" is unlocalized
* Username has already been taken - "username is unlocalized"
Comment 5 Yulia 2012-12-12 19:00:51 EST
Same issue for Russian (see Hedda's comment)
Comment 6 Sam Friedmann 2012-12-12 20:35:16 EST
Same problem in French.
Comment 7 Eunju, Kim 2012-12-12 21:48:55 EST
Same issure for Korean.
Comment 8 Tom McKay 2012-12-13 10:49:25 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: ea75491c8fe35c3b9cc6cd01eca19bc7ba6a5a02
      https://github.com/Katello/katello/commit/ea75491c8fe35c3b9cc6cd01eca19bc7ba6a5a02
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-12-12 (Wed, 12 Dec 2012)
Comment 11 Tazim Kolhar 2012-12-24 01:40:50 EST
VERIFIED :

# rpm -qa | grep katello
katello-glue-candlepin-1.2.1-10h.el6_3.noarch
katello-cli-common-1.2.1-11h.el6_3.noarch
katello-headpin-1.2.1-10h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.1-11h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-common-1.2.1-10h.el6_3.noarch
katello-headpin-all-1.2.1-10h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
Comment 13 errata-xmlrpc 2013-02-21 14:19:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.